DRM_OBJECT_ATTACH_PR(9)

NAME
drm_object_attach_property - attach a property to a modeset object

SYNOPSIS

void drm_object_attach_property(struct drm_mode_object * obj, struct drm_property * property, uint64_t init_val);

ARGUMENTS

obj
    drm modeset object

property
    property to attach

init_val
    initial value of the property

DESCRIPTION

This attaches the given property to the modeset object with the given initial value. Currently this function cannot fail since the properties are stored in a statically sized array.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT